﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;

namespace BlackStar
{

    public class LabelContentReader : ContentTypeReader<Label>
    {
        protected override Label Read(ContentReader input, Label existingInstance)
        {
            Label result = new Label();
            result.ReadContent(input);
            return result;
        }
    }

    public class Label : Component
    {
        protected internal override void ReadContent(Microsoft.Xna.Framework.Content.ContentReader input)
        {
            base.ReadContent(input);
        }

        public override void Draw()
        {
            if (!Visible) return;
           
            gui.theme.Fonts[this.Font].Draw(myText, new Vector2((float)myDrawRectangle.X, (float)myDrawRectangle.Y), this.FontSize,  this.FontColor);

            DrawComponents();
        }
    }
}
